Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576736 - Traceback with copr plugin
Summary: Traceback with copr plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 09:33 UTC by Jaroslav Mracek
Modified: 2018-11-22 18:17 UTC (History)
5 users (show)

Fixed In Version: dnf-4.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-22 18:17:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Jaroslav Mracek 2018-05-10 09:33:21 UTC
Description of problem:
The problem is caused by commits:
https://github.com/rpm-software-management/dnf-plugins-core/commit/d3854bbf84955a72f444d4c6442d49bd24b424c0
https://github.com/rpm-software-management/dnf-plugins-core/commit/19fb75d15f61432ab5fb7be7adc5f5ae62c11d12
https://github.com/rpm-software-management/dnf-plugins-core/commit/af84c2148f5b08c1886b471e26aa971a4a681862


Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf-plugins/copr.py", line 164, in run
    chroot = self.opts.arg[1]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1023, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf-plugins/copr.py", line 166, in run
    chroot = self._guess_chroot(self.chroot_config)
  File "/usr/lib/python3.6/site-packages/dnf-plugins/copr.py", line 304, in _guess_chroot
    dist = __linux_distro()
NameError: name '_CoprCommand__linux_distro' is not defined




Version-Release number of selected component (if applicable):
dnf-plugins-core-2.1.5-29gaf84c21.fc27.noarch

How reproducible:
dnf copr enable jmracek/swdb

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jaroslav Mracek 2018-05-10 09:39:33 UTC
Rename __linux_distro to linux_distro should help


Note You need to log in before you can comment on or make changes to this bug.